-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6MartPeriodico].[Controlla_Stato_Stampa_Cruscotto]
AS
BEGIN
truncate table [C6MartPeriodico].[TB_Controlla_Stato_Stampa_Cruscotto]
declare @conteggio_prima int
declare @conteggio_dopo int
insert into [C6MartPeriodico].[TB_Controlla_Stato_Stampa_Cruscotto]
select  convert(varchar, getdate(), 121) as data_prima,count(*) as conteggio_prima,0 as data_dopo,0 as conteggio_dopo
 from c6martperiodico.controllo_trimestrale
 where stato_report=4
 group by stato_report
 having count(*)> 0
 WAITFOR DELAY '03:00:00'
update [C6MartPeriodico].[TB_Controlla_Stato_Stampa_Cruscotto]
set conteggio_dopo=(select count(*) as conteggio_dopo
 from c6martperiodico.controllo_trimestrale
 where stato_report=4
 group by stato_report
 having count(*)> 0),
 data_dopo=convert(varchar, getdate(), 121)
 --select * from [C6MartPeriodico].[TB_Controlla_Stato_Stampa_Cruscotto]
 select @conteggio_prima = conteggio_prima from [C6MartPeriodico].[TB_Controlla_Stato_Stampa_Cruscotto]
 select @conteggio_dopo = conteggio_dopo from [C6MartPeriodico].[TB_Controlla_Stato_Stampa_Cruscotto]
 if(@conteggio_prima=@conteggio_dopo)
 begin 
 print('OK')
 end
 else
 begin
 insert into [C6MartPeriodico].[TB_ST_Controlla_Stato_Stampa_Cruscotto]
 select * from [C6MartPeriodico].[TB_Controlla_Stato_Stampa_Cruscotto]
 exec [C6MartPeriodico].[Controlla_Stato_Stampa_Cruscotto] 
 end
END